:root {
  --main-color: #fefefe;
  --main-color-dshadow: rgba(254, 254, 254, 0.979);
  --second-color: #275ea7;
  --second-color-lshadow: #2a65b3;
  --second-color-dshadow: #1a3f70;
  --third-color: #4d88d6;
  --third-color-lshadow: #f3f7fc;
  --paragraph-color: #8a8a8a;
  --paragraph-color-dshadow: #585858;
  --main-font: "Instrument Sans", sans-serif;
  --second-font: "Mulish", Sans-serif;
}

*:focus {
  outline: none;
  box-shadow: 0 0 0 0.8rem hsla(214, 63%, 57%, 0.653);
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  font-size: 62.5%;
  overflow-x: hidden;
}

body {
  line-height: 1;
  font-weight: 400;
  overflow-x: hidden;
}

/***************************/
/* HEADER */
/***************************/

.header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: var(--main-color);
  height: 9.6rem;
  padding: 0 8rem;
  position: relative;
}

.logo {
  margin-top: 0.2rem;
  height: 6.8rem;
  padding-right: 1rem;
}

/***************************/
/* NAVIGATION*/
/***************************/

.main-nav {
  margin-top: 0.2rem;
}

.main-nav-list {
  list-style: none;
  display: flex;
  gap: 2.2rem;
  text-align: center;
  align-items: center;
}

.main-nav-link:link,
.main-nav-link:visited {
  font-family: "Instrument Sans", sans-serif;
  font-weight: 500;
  text-decoration: none;
  font-size: 1.6rem;
  color: var(--second-color);
  padding-bottom: 6px;
  border-bottom: 2px solid transparent;
  transition: all 0.3s;
}

.main-nav-link:hover,
.main-nav-link:active {
  border-bottom: 2px solid var(--second-color);
}

.main-nav-link.nav-cta:link,
.main-nav-link.nav-cta:visited {
  padding: 1.2rem 1.5rem;
  border-radius: 5px;
  color: var(--main-color);
  background-color: var(--second-color);
  border-bottom: none;
  position: relative;
  bottom: 0.5rem;
  margin-right: 1.4rem;
  cursor: pointer;
  transition: all 0.3s;
}

.main-nav-link.nav-cta:hover,
.main-nav-link.nav-cta:active {
  background-color: var(--second-color-lshadow);
}

.nav-cta-whatsapp {
  font-size: 2rem;
  padding: 0 0.2rem 0.2rem;
}

/***************************/
/* MOBILE NAVIGATION*/
/***************************/
.btn-mobile-nav {
  border: none;
  background-color: transparent;
  cursor: pointer;
  display: none;
}

i.fa-solid.fa-bars,
i.fa-solid.fa-xmark {
  height: 4.8rem;
  width: 4.8rem;
  padding: 0;
}

.fa-solid.fa-xmark {
  display: none;
}

/* STICKY NAV */

.sticky .header {
  position: fixed;
  top: 0;
  width: 100%;
  height: 9rem;
  padding-top: 0;
  padding-bottom: 0;
  background-color: rgb(255, 255, 255, 0.95);
  z-index: 999;
  box-shadow: 0 1.2rem 3.2rem rgba(0, 0, 0, 0.03);
}

.sticky .section-hero {
  margin-top: 9.6rem;
}

/***************************/
/* HERO SECTION */
/***************************/

.section-hero {
  background-color: var(--main-color);
  padding: 4rem 0 1.4rem 0;
}

.hero {
  max-width: 130rem;
  margin: 0 auto;
  padding: 0 2.2rem;
  display: grid;
  grid-template-columns: 1fr 1fr;
}

.hero-text-box {
  padding: 8.2rem 0 0 1rem;
}

.heading-secondary,
.heading-third {
  font-weight: 600;
  font-family: var(--main-font);
  color: #444444;
}

.heading-primary {
  font-weight: 700;
  font-family: var(--main-font);
  font-size: 5.3rem;
  color: var(--second-color-dshadow);
  letter-spacing: -0.5px;
}

.hero-description {
  font-family: var(--main-font);
  color: var(--paragraph-color);
  font-size: 2rem;
  width: 77%;
  line-height: 1.2;
  padding-top: 1rem;
  margin-bottom: 3.8rem;
}

.hero-img {
  position: relative;
  width: 100%;
  bottom: 8rem;
}

.btn,
.btn:link,
.btn:visited {
  display: inline-block;
  text-decoration: none;
  font-size: 2rem;
  padding: 1.6rem 2rem;
  border-radius: 4px;
  cursor: pointer;
  font-family: var(--main-font);
  transition: all 0.3s;
}

.btn--full:link,
.btn--full:visited {
  background-color: var(--second-color);
  color: var(--main-color);
  font-weight: 400;
  border: 2px solid transparent;
  margin-right: 1.6rem;
}

.btn--full > .nav-cta-whatsapp {
  padding-left: 0.4rem;
}

.btn--full:hover,
.btn--full:active {
  background-color: var(--second-color-lshadow);
}

.btn--outline:link,
.btn--outline:visited {
  color: var(--second-color);
  border: 1px solid var(--second-color);
}

.btn--outline:hover,
.btn--outline:active {
  color: var(--second-color-dshadow);
  border: 1px solid var(--second-color-dshadow);
}

.margin-right-sm {
  margin-right: 1.6rem;
}

/***************************/
/* EXPERIENCIA SECTION */
/***************************/

.section-experiencia {
  background-color: var(--third-color-lshadow);
  padding: 8rem 0 12rem 0;
}

.container {
  max-width: 120rem;
  padding: 0 3.2rem;
  margin: 0 auto;
}

.heading-secondary {
  font-size: 4rem;
  line-height: 1.1;
  margin: 0 auto 3.2rem auto;
  width: 60%;
  text-align: center;
}

.section-experiencia .heading-secondary {
  color: var(--second-color-dshadow);
}

.grid,
.grid-box {
  display: grid;
}

.grid {
  column-gap: 10.2rem;
  row-gap: 8rem;
}

.grid--1-cols {
  grid-template-columns: 1fr;
}

.grid--2-cols {
  grid-template-columns: repeat(2, 2fr);
}

.grid--3-cols {
  grid-template-columns: repeat(3, 1fr);
}

.experiencia-box {
  padding-top: 4rem;
}

.exp-box-number,
.exp-box-text {
  display: flex;
  justify-content: center;
}

.p-number,
.p-text {
  font-family: var(--second-font);
}

.p-number {
  color: var(--second-color);
  font-size: 6rem;
  letter-spacing: -3px;
  font-weight: 600;
  line-height: 0.8;
}

.p-number span {
  font-size: 3.2rem;
  position: relative;
  bottom: 0.9rem;
  left: 0.1rem;
  font-weight: 300;
}

.p-text {
  padding-top: 1rem;
  font-size: 1.2rem;
  color: var(--second-color-dshadow);
  width: 80%;
  text-align: center;
  line-height: 1.4;
  font-weight: 300;
}

/***************************/
/* SERVICIOS SECTION */
/***************************/

.section-servicios {
  padding: 8rem 0 10rem 0;
  background-color: rgba(254, 254, 254, 0.979);
}

.servicios-flex {
  display: flex;
  column-gap: 4rem;
}
.servicios-flex:first-child {
  align-items: start;
}

.servicios-title {
  width: 34%;
  padding: 6rem 0 0 6rem;
  /* justify-content: start;
    display: flex;
    flex-wrap: wrap; */
}

.servicios-paragraph {
  font-family: var(--second-font);
  font-size: 1.3rem;
  color: var(--paragraph-color);
  line-height: 1.4;
  width: 88%;
  padding: 0.8rem 0 0 0.1rem;
}

.servicios-btn {
  margin: 4rem 0 0 0.1rem;
}

.section-servicios .heading-secondary {
  font-size: 4.3rem;
  width: 100%;
  line-height: 0.9;
  font-weight: 500;
  color: var(--second-color-dshadow);
  letter-spacing: 0;
  margin: 0;
  padding: 0;
  word-spacing: -1px;
  text-align: left;
}

.heading-secondary span {
  line-height: 0.9;
  font-weight: 700;
}

.btn--outline-serv:link,
.btn--outline-serv:visited {
  background-color: var(--second-color);
  border: 1px solid var(--second-color);
  color: var(--main-color);
}

.btn--outline-serv:hover,
.btn--outline-serv:active {
  background-color: transparent;
  color: var(--second-color);
}

.servicios-title .nav-cta-whatsapp {
  padding-left: 0.5rem;
}

.boxes-container {
  padding: 0 2rem 0 0;
}

.servicios-boxes {
  width: 60%;
}

.servicios-box {
  background-color: var(--main-color);
  height: 22rem;
  border-radius: 14px;
  border: 1px solid var(--second-color);
}

.serv-title,
.serv-text {
  display: flex;
  justify-content: start;
}

.serv-title {
  font-family: var(--main-font);
}

.serv-text {
  font-family: var(--second-font);
}

.servicios-boxes .grid {
  padding-top: 1rem;
  column-gap: 6rem;
  row-gap: 6rem;
}

.serv-box-card {
  display: flex;
  padding: 4rem 0rem 0 0rem;
  column-gap: 2rem;
}

.fa-solid {
  color: var(--second-color);
  font-size: 6rem;
  padding: 1rem 0 0 2rem;
}

.serv-title {
  font-size: 2rem;
  font-weight: 600;
  color: var(--second-color);
}

.serv-card-text {
  padding-top: 1.5rem;
}

.serv-text {
  font-size: 1.2rem;
  font-weight: 600;

  line-height: 1.6;
  color: var(--paragraph-color);
}

.serv-card-link {
  padding: 3rem 3rem 0 0;
  display: flex;
  justify-content: flex-end;
  align-items: flex-end;
}

.serv-link {
  font-size: 1.3rem;
  font-family: var(--main-font);
  color: var(--second-color);
  font-weight: 700;
  text-decoration: none;
  border-bottom: 1px solid var(--second-color);
}

/***************************/
/* REVIEWS SECTION */
/***************************/

.section-reviews {
  padding: 8rem 0 10rem 0;
  background-color: var(--second-color);
}

.section-reviews .grid {
  column-gap: 12rem;
}

.section-reviews .heading-secondary {
  color: var(--main-color);
  width: 40%;
  margin-bottom: 0;
}

.review-boxes-content {
  padding: 2.4rem 0 0 2rem;
}

.review-box-square1 {
  height: 28rem;
}

.review-box-square1,
.review-box-square2 {
  margin-top: 10rem;
  background-color: var(--third-color-lshadow);
  border-radius: 4px;
}

.review-boxes-right {
  padding-top: 3rem;
}

.review-box-square2 {
  height: 35rem;
}

.fa-star {
  font-size: 1.8rem;
  padding-left: 0.8rem;
  color: var(--second-color);
}

.review-box-testimonial {
  display: flex;
}

.review-box-text,
.review-box-name,
.review-box-place {
  font-family: var(--main-font);
}

.review-box-text {
  font-size: 1.6rem;
  color: var(--paragraph-color-dshadow);
  padding: 4rem 5rem;
  text-align: center;
  line-height: 1.4;
}

.review-box-img {
  height: 5.6rem;
  padding-left: 0.8rem;
}

.review-box-name {
  font-size: 1.7rem;
  padding-top: 1.8rem;
  color: var(--second-color-dshadow);
}

.review-box-place {
  color: var(--paragraph-color);
}

.review-box-name,
.review-box-place {
  padding-left: 1rem;
}

.review-box-square1:nth-child(odd) .review-box-testimonial {
  padding-top: 1rem;
}

.review-box-square1:nth-child(2) .review-box-text {
  padding-bottom: 3.2rem;
}

.review-box-square2 .review-box-testimonial {
  padding-top: 1rem;
}

/***************************/
/* CTA SECTION */
/***************************/

.section-cta {
  padding: 8rem 0 12rem 0;
}

.section-cta .grid {
  column-gap: 4rem;
}

.section-cta .heading-secondary {
  color: var(--second-color-dshadow);
  font-family: var(--main-font);
  margin-bottom: 2.2rem;
}

.cta-title .heading-secondary {
  width: 100%;
}

.cta-paragraph {
  font-family: var(--main-font);
  color: var(--paragraph-color);
  font-size: 1.4rem;
  padding-left: 14rem;
  line-height: 1.6;
  width: 85%;
}

.cta-form {
  border: 1px solid #d4d4d4;
  width: 60.1rem;
  height: 62rem;
  display: flex;
  justify-content: center;
  border-radius: 12px;
  box-shadow: 0.8rem 1.8rem 4rem rgba(0, 0, 0, 0.12);
}

.form-agenda {
  padding-top: 3.8rem;
}

label {
  display: block;
  font-size: 1.6rem;
  font-family: var(--main-font);
  text-align: left;
  padding-bottom: 2rem;
  color: var(--paragraph-color-dshadow);
}

input[type="text"],
input[type="email"] {
  width: 46.5rem;
  height: 7.2rem;
  margin-bottom: 3rem;
}

input[type="text"],
input[type="email"],
input[type="number"],
select {
  border-radius: 4px;
  border: 3px solid #e2e2e2;
}

input[placeholder] {
  padding-left: 1rem;
}

.form-contacto {
  display: flex;
  column-gap: 4rem;
}

input[type="number"],
select {
  width: 19.8rem;
  height: 6.4rem;
}

select {
  color: var(--paragraph-color);
}

option {
  padding: 4rem;
}

.cta-buttons {
  margin-top: 5rem;
}

.btn--form {
  background-color: var(--second-color-lshadow);
}

.btn--form,
.btn--google {
  color: var(--main-color);
  border: none;
}

.btn--google {
  background-color: #ed455d;
  margin-left: 2rem;
}

.cta-form input::placeholder {
  color: #aaa;
}

.cta-form *:focus {
  outline: none;
  box-shadow: 0 0 0 0.8rem hsla(237, 64%, 89%, 0.5);
}

/***************************/
/*FOOTER */
/***************************/

.footer {
  padding: 8rem 0 10rem 0rem;
  border-top: 1px solid #eee;
}

.grid-footer {
  display: grid;
  grid-template-columns: 2fr 1fr 1fr 1fr;
}

.footer-logo-text {
  font-family: var(--main-font);
  font-size: 1.2rem;
  color: var(--paragraph-color);
  padding-top: 1rem;
  width: 80%;
  line-height: 1.3;
  padding-left: 1.2rem;
}

.footer-heading {
  font-family: var(--main-font);
  color: var(--paragraph-color-dshadow);
  text-transform: uppercase;
  font-size: 1.8rem;
  font-weight: 600;
  padding-bottom: 2rem;
}

.social-col .footer-nav {
  list-style: none;
  display: flex;
  flex-direction: column;
}

.footer-nav li {
  padding-bottom: 2rem;
}

.footer-link {
  font-family: var(--second-font);
  color: var(--paragraph-dcolor);
  font-size: 1.4rem;
  text-decoration: none;
  padding-bottom: 1.2rem;
}

.address {
  padding-bottom: 1.5rem;
  line-height: 1.3;
}

.address,
.address-phone {
  font-size: 1.4rem;
  color: var(--paragraph-color-dshadow);
}

.address-phone {
  padding-bottom: 1rem;
}

.contacts {
  font-size: 1.2rem;
}

.fa-facebook,
.fa-twitter,
.fa-linkedin,
.fa-youtube {
  color: var(--paragraph-color-dshadow);
}

.copyright {
  padding-top: 6rem;
  color: var(--paragraph-color);
  padding-left: 1.2rem;
  font-weight: 300;
}

/***************************/
/* HELPERS */
/***************************/

.hidden {
  display: none;
}

/***************************/
/* SCROLLING TRANSITIONS */
/***************************/

.hidden-observer {
  opacity: 0;
  filter: blur(5px);
  transition: all 1.2s;
}

.show-observer {
  filter: blur(0);
  opacity: 1;
}

.hidden-observer-translateX-left {
  opacity: 0;
  filter: blur(1px);
  transform: translateX(-100%);
  transition: all 2.5s;
}
.show-observer-translateX-left {
  opacity: 1;
  filter: blur(0px);
  transform: translateX(0);
}

.hidden-observer-translateX-right {
  opacity: 0;
  filter: blur(2px);
  transform: translateX(100%);
  transition: all 2.5s;
}
.show-observer-translateX-right {
  opacity: 1;
  filter: blur(0px);
  transform: translateX(0);
}
